/* ====================Choices.js Dark mode ======================*/

/* Dropdown icon color */
.dark.choices::after {
    border-color: white transparent transparent !important;
}

/* Dropdown icon when dropdown is open */
.dark.choices.is-open::after {
    border-color: transparent transparent white !important;
}

.dark .choices__list[aria-expanded] .choices__item--selectable.is-highlighted {
    /* background-color: #487fff; */
    color: white;
}

/* .dark .choices__list--multiple .choices__item{
            background-color: #487fff;
    border: none;
        } */
/* Selected item clear Button */
.dark.choices .choices__button {
    background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjEiIGhlaWdodD0iMjEiIHZpZXdCb3g9IjAgMCAyMSAyMSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj48ZyBmaWxsPSIjZmZmIiBmaWxsLXJ1bGU9ImV2ZW5vZGQiPjxwYXRoIGQ9Ik0yLjU5Mi4wNDRsMTguMzY0IDE4LjM2NC0yLjU0OCAyLjU0OEwuMDQ0IDIuNTkyeiIvPjxwYXRoIGQ9Ik0wIDE4LjM2NEwxOC4zNjQgMGwyLjU0OCAyLjU0OEwyLjU0OCAyMC45MTJ6Ii8+PC9nPjwvc3ZnPg==);
}

/* Search field placeholder */
.dark .choices__input::placeholder {
    color: white;
}

.dark .choices__list--dropdown,
.dark .choices__input,
.dark.choices .choices__input,
.dark.choices.is-disabled .choices__inner {
    background-color: #273142;
    color: white;
}

/* Scroll bar color */
.dark .choices__list--dropdown {
    scrollbar-color: #d1d1d1 #273142;
}

/* Disable pointer for disabled fields */
.dark.choices.is-disabled .choices__inner {
    cursor: not-allowed;
}

.dark .choices__item.choices__item--selectable {
    color: white;
}

.choices__item.choices__item--selectable {
    color: black;
}

.choices__item.choices__placeholder.choices__item--selectable {
    opacity: .8;
}

/* ==================Normal Choice.js ========================*/

/* Placeholder color */
.choices__input::placeholder {
    color: black;
    opacity: .75;
    /* Ensures it's not semi-transparent */
}

/* Selected option  */
.choices__inner {
    padding: 0.5625rem 1.25rem;
}

/* Disable default padding */
.choices__list--single {
    padding: 0;
}

.choices__list--multiple .choices__item {
    background-color: #0d6efd;
    color: white;
    border: none;
}

.choices__list--multiple .choices__item:hover,
.choices__list--multiple .choices__item.is-highlighted {
    background-color: #0b5ed7;
    border: none;
}

.choices__item.choices__item--choice.choices__item--selectable {
    font-weight: 400;
}

.choices__input {

    margin-bottom: 0;

    padding: 0;
}

/*Disabled fields */
.choices.is-disabled .choices__inner,
.choices.is-disabled .choices__input {
    opacity: 0.5;
    background-color: transparent;
    cursor: not-allowed;
}

.choices__list--dropdown {
    z-index: 3 !important;
}

.choices {
    margin-bottom: .5rem;
}

@media (max-width: 1023px) {
    .choices {
        width: 100%;
    }
}